View Issue Details

IDProjectCategoryView StatusLast Update
0000747XdebugUsage problems (Wrong Results)public2012-02-22 21:42
ReporterjboffelAssigned Toderick 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000747: Still problem with error message and soap client / soap server
DescriptionHi Derick, I couldn't reopen the issue 609 unfortunately so I create a new one here.

I tried your patch and it's working well, just one thing I think is a copy paste mistake in the new function check_soap_call in xdebug.c, you tried 2 times if it is class name SoapClient, I guess you wanted to try SoapClient/SoapServer.

Also I believe after that than the first hack you made, still in xdebug.c working on HTTP_SOAPACTION, to check for soap header is not more necessary...
TagsNo tags attached.
Operating System
PHP Version5.3.8

Activities

cbuckley

2012-02-12 17:27

reporter  

747.patch (473 bytes)
diff --git a/xdebug.c b/xdebug.c
index c09dd30..9eb520c 100644
--- a/xdebug.c
+++ b/xdebug.c
@@ -1359,7 +1359,7 @@ static int check_soap_call(function_stack_entry *fse)
 	if (fse->function.class &&
 		(
 			(strstr(fse->function.class, "SoapClient") != NULL) ||
-			(strstr(fse->function.class, "SoapClient") != NULL)
+			(strstr(fse->function.class, "SoapServer") != NULL)
 		) &&
 		(zend_hash_find(&module_registry, "soap", 5, (void**) &tmp_mod_entry) == SUCCESS)
 	) {
747.patch (473 bytes)

cbuckley

2012-02-12 17:29

reporter   ~0001912

I can confirm this with PHP 5.4.0RC8-dev and Xdebug v2.2.0-dev. The following code, modified from 0000609 to use SoapServer replicates the error:

<?php

//xdebug_disable();
try {
    $sc = new SoapServer('some-wrong.wsdl', array('exceptions' => 'true'));
} catch (Exception $e) {
    echo 'Error Caught :-)';
}

?>

Changing the line in xdebug.c mentioned by jboffel fixes the issue.

derick

2012-02-22 21:42

administrator   ~0001924

This should be fixed now.

Issue History

Date Modified Username Field Change
2011-11-15 10:48 jboffel New Issue
2012-02-12 17:27 cbuckley File Added: 747.patch
2012-02-12 17:29 cbuckley Note Added: 0001912
2012-02-22 21:42 derick Note Added: 0001924
2012-02-22 21:42 derick Status new => closed
2012-02-22 21:42 derick Assigned To => derick
2012-02-22 21:42 derick Resolution open => fixed
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)